%bcond_without	tests
Summary:	GNU patch Utilities
Summary(de.UTF-8):	GNU-Patch-Utilities
Summary(fr.UTF-8):	Utilitaires patch de GNU
Summary(pl.UTF-8):	Program GNU patch
Summary(ru.UTF-8):	Утилита GNU patch, для модификации/апгрейда файлов
Summary(tr.UTF-8):	GNU yama yardımcı programları
Summary(uk.UTF-8):	Утиліта GNU patch, для модифікації/апгрейду файлів
Name:		patch
Version:	2.7.1
Release:	1
License:	GPL v3+
Group:		Applications/Text
Source0:	http://ftp.gnu.org/gnu/patch/%{name}-%{version}.tar.xz
# Source0-md5:	e9ae5393426d3ad783a300a338c09b72
Source1:	%{name}.1.pl
URL:		http://www.gnu.org/software/patch/
BuildRequires:	autoconf >= 2.65
BuildRequires:	automake >= 1:1.11.2
BuildRequires:	attr-devel
%if %{with tests}
BuildRequires:	bash
BuildRequires:	ed
%endif
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Patch is a program to aid in patching programs. You can use it to
apply 'diff's. Basically, you can use diff to note the changes in a
file, send the changes to someone who has the original file, and they
can use 'patch' to combine your changes to their original.

%description -l de.UTF-8
Patch ist ein Programm zum Ausbessern von Programmen. Benutzen Sie
zunächst ein Diffs-Programm, um die Änderungen an der Datei zu
ermitteln und senden Sie diese an die Personen mit der Originaldatei.
Diese können dann mit Hilfe von PATCH ihre Dateien auf den neuesten
Stand bringen.

%description -l fr.UTF-8
patch est un programme aidant à patcher des programmes. Vous pouvez
l'utiliser pour appliquer des « diffs ». On utilise diff pour noter
les changements dans un fichier, on envoie ces changements à celui qui
a le fichier original et qui peut utiliser « patch » pour combiner nos
modifications avec son original.

%description -l pl.UTF-8
Patch jest programem umożliwiającym nakładanie łatek (patchy) na
pliki. Przy pomocy programu diff można sprawdzić, jakie zmiany zostały
zrobione w pliku, zmiany te wysłać do kogoś, kto posiada oryginalny
plik i przy pomocy programu patch nałożyć je. Daje to możliwość
rozprowadzania małych plików, w których są jedynie zmiany, jakie
zostały wprowadzone w stosunku do oryginalnych plików.

%description -l ru.UTF-8
Patch - это программа, которая помогает в модификации файлов. Вы
можете использовать diff для записи модификаций файла, отослать
изменения кому-либо, кто имеет первоначальную версию файла, и адресат
сможет использовать 'patch' для получения его измененной версии.

%description -l tr.UTF-8
Bu programı 'diff' komutunu uygulamak için kullanabilirsiniz. diff,
bir dosya içindeki değişikliklerı belirtir; 'patch' komutu
değişiklikleri asılları ile birleştirir.

%description -l uk.UTF-8
Patch - це програма, яка допомогає в модифікації файлів. Ви можете
використовувати diff для запису модифікацій якогось файлу, відіслати
комусь, хто має оригінальну версію файлу, цей запис, і адресат зможе,
використовуючи 'patch', отримати в себе модифіковану версію файлу.

%prep
%setup -q

%build
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
%ifarch sparc sparc64
	--disable-largefile \
%endif
	--disable-silent-rules

%{__make}

%if %{with tests}
%{__make} check \
	SHELL=/bin/bash
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	bindir=$RPM_BUILD_ROOT%{_bindir} \
	man1dir=$RPM_BUILD_ROOT%{_mandir}/man1

install -D %{SOURCE1} $RPM_BUILD_ROOT%{_mandir}/pl/man1/patch.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/patch
%{_mandir}/man1/patch.1*
%lang(pl) %{_mandir}/pl/man1/patch.1*
%changelog
* Fri Oct 05 2012 Jakub Bogusz <qboosh@pld-linux.org> 1035f1b
- updated to 2.7.1
- removed obsolete git patch

* Fri Sep 14 2012 Jakub Bogusz <qboosh@pld-linux.org> ccd649f
- License is GPL v3+ now
- updated ac/am version, always use complete rebuild

* Fri Sep 14 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 01b9655
- rel 2; fixes from upstream git

* Wed Sep 12 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> f72eafb
- add BR attr-devel

* Wed Sep 12 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 3df2e1a
- up to 2.7; tests use some bashizms so BR bash

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> d2f7c04
- dropped pre-cvs changelog

* Fri Sep 10 2010 Jakub Bogusz <qboosh@pld-linux.org> 80b05f7
- GPL version
- verbose files

* Sat Aug 28 2010 Szymon Siwek <sls@pld-linux.org> 18d1538
- BR: ed (--with tests)

* Wed Dec 30 2009 Adam Gołębiowski <adamg@pld-linux.org> 9ef6f23
- updated to 2.6.1

* Sun Nov 15 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 78aaea4
- final 2.6

* Fri Jul 31 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 334baaf
- up to -120

* Fri Jun 19 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 436607b
- obsolete

* Fri Jun 19 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> c32cccd
- rel 10 ; up to 2.5.9-118-g4e89466

* Sat Apr 11 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 3199912
- fix patch --version output

* Sat Apr 11 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 0867887
- up to 2.5.9-109-g70df4e4

* Sun Mar 29 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> be49df0
- run test suite

* Sun Mar 29 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 094aa57
- rel 8; upcoming patch (versioning is broken in new pkg)

* Tue Nov 25 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 21a0944
- release 7

* Tue Mar 06 2007 spider <spider@pld-linux.org> 7452e13
- rel++
- STBR

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> a205d6d
- tabs in preamble

